Package docking.widgets.filter

# Class MatchesPatternTextFilter

java.lang.Object
docking.widgets.filter.AbstractPatternTextFilter
docking.widgets.filter.MatchesPatternTextFilter

All Implemented Interfaces:
  `TextFilter`

Direct Known Subclasses:
  `ContainsTextFilter`, `MatchesExactlyTextFilter`, `StartsWithTextFilter`

public abstract class MatchesPatternTextFilter extends AbstractPatternTextFilter
A text filter that uses a pattern and performs a 'matches' using that pattern.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `allowGlobbing`
  `protected boolean`
  `caseSensitive`

  ### Fields inherited from class docking.widgets.filter.AbstractPatternTextFilter

  `filterPattern, filterText`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchesPatternTextFilter(String filterText, boolean caseSensitive, boolean allowGlobbing)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `boolean`
  `matches(String text, Pattern pattern)`
  Subclasses implement this method for their usage of the given pattern (find vs.
  `protected boolean`
  `parentIsGlobEscape(MatchesPatternTextFilter parent)`

  ### Methods inherited from class docking.widgets.filter.AbstractPatternTextFilter

  `createPattern, getFilterText, matches, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.filter.TextFilter

  `isSubFilterOf`

- ## Field Details

  - ### caseSensitive

    protected boolean caseSensitive

  - ### allowGlobbing

    protected boolean allowGlobbing

- ## Constructor Details

  - ### MatchesPatternTextFilter

    public MatchesPatternTextFilter(String filterText, boolean caseSensitive, boolean allowGlobbing)

- ## Method Details

  - ### parentIsGlobEscape

    protected boolean parentIsGlobEscape(MatchesPatternTextFilter parent)

  - ### matches

    public boolean matches(String text, Pattern pattern)
    Description copied from class: `AbstractPatternTextFilter`
    Subclasses implement this method for their usage of the given pattern (find vs. matches)
    Specified by:
      `matches` in class `AbstractPatternTextFilter`
    Parameters:
      `text` - the text to check against the pattern
      `pattern` - the pattern used to match the text
    Returns:
      true if there is a match

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AbstractPatternTextFilter`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `AbstractPatternTextFilter`